"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.batchCall = void 0;
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const lodash_1 = require("lodash");
const function_reference_utils_1 = require("./function-reference-utils");
async function batchCall(data, fn) {
    const chunked = lodash_1.chunk(data, 10);
    let results = [];
    for (const chunk of chunked) {
        const result = await fn(chunk);
        results = [...results, ...function_reference_utils_1.ensureArray(result)];
    }
    return results;
}
exports.batchCall = batchCall;
exports.default = batchCall;
